package de.duehl.basics.start;

import de.duehl.basics.io.FileHelper;
import de.duehl.basics.io.zip.ZipFilesWith7ZipDirectProgramStart;
import de.duehl.basics.io.zip.data.ZipArchive;

public class Testing7ZipZipping4WithDirectProgramStartAndPassword {

    public static void main(String[] args) {
        String dir = "c:\\temp\\zipping_test5_ohne_Leerzeichen";

        String zipFilename = FileHelper.concatPathes(dir, "daten_per_Programm_verpackt.7z");

        String sevenZipExecutable = "c:\\temp\\zipping_test3\\7-Zip\\7z.exe";
        ZipFilesWith7ZipDirectProgramStart zip = new ZipFilesWith7ZipDirectProgramStart(
                sevenZipExecutable);
        zip.create7zFile();
        zip.cypher("Geheim");
        String datenDir = FileHelper.concatPathes(dir, "daten");
        zip.zip(new ZipArchive(zipFilename, datenDir));

        // funktioniert
    }

}
